Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class PCIGroupAging 'Cask a nem készpénzes szállítói vevői szlákról info mai napra.
    Inherits BaseObject

    Private _CustomersFrom As CustomersFrom
    Private _Customers As Customers
    Private _PartnerType As ePartnerType
    Private _ConnectInfo As String
    Private _DateExecution As Date
    Private _DateCreated As Date
    Private _DatePayment As Date
    Private _AmountHUF_Account As Double = 0
    Private _AmountDEV_Account As Double = 0
    Private _AmountHUF_Account_Normal As Double = 0
    Private _AmountDEV_Account_Normal As Double = 0
    Private _AmountHUF_Account_Hold As Double = 0
    Private _AmountDEV_Account_Hold As Double = 0
    Private _BallanceHUF As Double = 0
    Private _BallanceDEV As Double = 0
    Private _CurrencyName As CurrencyName

    Private _PCIGroup As PCIGroup
    Private _IsExpired As Boolean

    Private _F01_EXPIREDHUF As Double = 0
    Private _F01_EXPIREDDEV As Double = 0
    Private _F02_30HUF As Double = 0
    Private _F02_30DEV As Double = 0
    Private _F03_90HUF As Double = 0
    Private _F03_90DEV As Double = 0
    Private _F04_1YEARHUF As Double = 0
    Private _F04_1YEARDEV As Double = 0
    Private _F05_2YEARHUF As Double = 0
    Private _F05_2YEARDEV As Double = 0
    Private _F06_3YEARHUF As Double = 0
    Private _F06_3YEARDEV As Double = 0
    Private _F07_6YEARHUF As Double = 0
    Private _F07_6YEARDEV As Double = 0
    Private _F08_6PLUSYEARHUF As Double = 0
    Private _F08_6PLUSYEARDEV As Double = 0


    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property PartnerType As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property ConnectInfo As String
        Get
            Return _ConnectInfo
        End Get
        Set(value As String)
            SetPropertyValue("ConnectInfo", _ConnectInfo, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property DateCreated As Date
        Get
            Return _DateCreated
        End Get
        Set(value As Date)
            SetPropertyValue("DateCreated", _DateCreated, value)
        End Set
    End Property
    Property DatePayment As Date
        Get
            Return _DatePayment
        End Get
        Set(value As Date)
            SetPropertyValue("DatePayment", _DatePayment, value)
        End Set
    End Property
    Property AmountHUF_Account As Double
        Get
            Return _AmountHUF_Account
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF_Account", _AmountHUF_Account, value)
        End Set
    End Property
    Property AmountDEV_Account As Double
        Get
            Return _AmountDEV_Account
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV_Account", _AmountDEV_Account, value)
        End Set
    End Property
    Property AmountHUF_Account_Normal As Double
        Get
            Return _AmountHUF_Account_Normal
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF_Account_Normal", _AmountHUF_Account_Normal, value)
        End Set
    End Property
    Property AmountDEV_Account_Normal As Double
        Get
            Return _AmountDEV_Account_Normal
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV_Account_Normal", _AmountDEV_Account_Normal, value)
        End Set
    End Property
    Property AmountHUF_Account_Hold As Double
        Get
            Return _AmountHUF_Account_Hold
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF_Account_Hold", _AmountHUF_Account_Hold, value)
        End Set
    End Property
    Property AmountDEV_Account_Hold As Double
        Get
            Return _AmountDEV_Account_Hold
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV_Account_Hold", _AmountDEV_Account_Hold, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceDEV", _BallanceDEV, value)
        End Set
    End Property
    Property CurrencyName As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property

    Property PCIGroup As PCIGroup
        Get
            Return _PCIGroup
        End Get
        Set(value As PCIGroup)
            SetPropertyValue("PCIGroup", _PCIGroup, value)
        End Set
    End Property
    Property IsExpired As Boolean
        Get
            Return _IsExpired
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsExpired", _IsExpired, value)
        End Set
    End Property

    Property F01_EXPIREDHUF As Double
        Get
            Return _F01_EXPIREDHUF
        End Get
        Set(value As Double)
            SetPropertyValue("F01_EXPIREDHUF", _F01_EXPIREDHUF, value)
        End Set
    End Property
    Property F01_EXPIREDDEV As Double
        Get
            Return _F01_EXPIREDDEV
        End Get
        Set(value As Double)
            SetPropertyValue("F01_EXPIREDDEV", _F01_EXPIREDDEV, value)
        End Set
    End Property
    Property F02_30HUF As Double
        Get
            Return _F02_30HUF
        End Get
        Set(value As Double)
            SetPropertyValue("F02_30HUF", _F02_30HUF, value)
        End Set
    End Property
    Property F02_30DEV As Double
        Get
            Return _F02_30DEV
        End Get
        Set(value As Double)
            SetPropertyValue("F02_30DEV", _F02_30DEV, value)
        End Set
    End Property
    Property F03_90HUF As Double
        Get
            Return _F03_90HUF
        End Get
        Set(value As Double)
            SetPropertyValue("F03_90HUF", _F03_90HUF, value)
        End Set
    End Property
    Property F03_90DEV As Double
        Get
            Return _F03_90DEV
        End Get
        Set(value As Double)
            SetPropertyValue("F03_90DEV", _F03_90DEV, value)
        End Set
    End Property
    Property F04_1YEARHUF As Double
        Get
            Return _F04_1YEARHUF
        End Get
        Set(value As Double)
            SetPropertyValue("F04_1YEARHUF", _F04_1YEARHUF, value)
        End Set
    End Property
    Property F04_1YEARDEV As Double
        Get
            Return _F04_1YEARDEV
        End Get
        Set(value As Double)
            SetPropertyValue("F04_1YEARDEV", _F04_1YEARDEV, value)
        End Set
    End Property
    Property F05_2YEARHUF As Double
        Get
            Return _F05_2YEARHUF
        End Get
        Set(value As Double)
            SetPropertyValue("F05_2YEARHUF", _F05_2YEARHUF, value)
        End Set
    End Property
    Property F05_2YEARDEV As Double
        Get
            Return _F05_2YEARDEV
        End Get
        Set(value As Double)
            SetPropertyValue("F05_2YEARDEV", _F05_2YEARDEV, value)
        End Set
    End Property
    Property F06_3YEARHUF As Double
        Get
            Return _F06_3YEARHUF
        End Get
        Set(value As Double)
            SetPropertyValue("F06_3YEARHUF", _F06_3YEARHUF, value)
        End Set
    End Property
    Property F06_3YEARDEV As Double
        Get
            Return _F06_3YEARDEV
        End Get
        Set(value As Double)
            SetPropertyValue("F06_3YEARDEV", _F06_3YEARDEV, value)
        End Set
    End Property
    Property F07_6YEARHUF As Double
        Get
            Return _F07_6YEARHUF
        End Get
        Set(value As Double)
            SetPropertyValue("F07_6YEARHUF", _F07_6YEARHUF, value)
        End Set
    End Property
    Property F07_6YEARDEV As Double
        Get
            Return _F07_6YEARDEV
        End Get
        Set(value As Double)
            SetPropertyValue("F07_6YEARDEV", _F07_6YEARDEV, value)
        End Set
    End Property
    Property F08_6PLUSYEARHUF As Double
        Get
            Return _F08_6PLUSYEARHUF
        End Get
        Set(value As Double)
            SetPropertyValue("F08_6PLUSYEARHUF", _F08_6PLUSYEARHUF, value)
        End Set
    End Property
    Property F08_6PLUSYEARDEV As Double
        Get
            Return _F08_6PLUSYEARDEV
        End Get
        Set(value As Double)
            SetPropertyValue("F08_6PLUSYEARDEV", _F08_6PLUSYEARDEV, value)
        End Set
    End Property
End Class
